>From 04b5d1a117e8b0fe3f11c882ae9abb85663284c9 Mon Sep 17 00:00:00 2001
From: Manol Manolov <man40dev@gmail.com>
Date: Wed, 21 Jul 2010 14:59:08 -0400
Subject: [PATCH 6/6] Make all BDA networks to accept kHz

For unknown reason DVB-C and DVB-T were accepting Hz as a base frequency.
---
 modules/access/bda/bda.c        |    2 +-
 modules/access/bda/bdagraph.cpp |    4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/modules/access/bda/bda.c b/modules/access/bda/bda.c
index 064f12b..f03fa26 100644
--- a/modules/access/bda/bda.c
+++ b/modules/access/bda/bda.c
@@ -57,7 +57,7 @@ static int Control( access_t *, int, va_list );
 
 #define FREQ_TEXT N_("Transponder/multiplex frequency")
 #if defined(WIN32) || defined(WINCE)
-#    define FREQ_LONGTEXT N_("In kHz for DVB-S or Hz for DVB-C/T")
+#    define FREQ_LONGTEXT N_("In kHz for all network types")
 #else
 #    define FREQ_LONGTEXT N_("In kHz for DVB-C/S/T")
 #endif
diff --git a/modules/access/bda/bdagraph.cpp b/modules/access/bda/bdagraph.cpp
index 4864d22..6348999 100644
--- a/modules/access/bda/bdagraph.cpp
+++ b/modules/access/bda/bdagraph.cpp
@@ -385,7 +385,7 @@ int BDAGraph::SubmitDVBTTuneRequest()
     TransmissionMode          i_transmission;
     HierarchyAlpha            i_hierarchy;
 
-    l_frequency    = var_GetInteger( p_access, "dvb-frequency" ) / 1000;
+    l_frequency    = var_GetInteger( p_access, "dvb-frequency" );
     l_bandwidth    = var_GetInteger( p_access, "dvb-bandwidth" );
     l_hp_fec       = var_GetInteger( p_access, "dvb-code-rate-hp" );
     l_lp_fec       = var_GetInteger( p_access, "dvb-code-rate-lp" );
@@ -581,7 +581,7 @@ int BDAGraph::SubmitDVBCTuneRequest()
     int  i_qam;
     ModulationType i_qam_mod;
 
-    l_frequency  = var_GetInteger( p_access, "dvb-frequency" ) / 1000;
+    l_frequency  = var_GetInteger( p_access, "dvb-frequency" );
     l_symbolrate = var_GetInteger( p_access, "dvb-srate" );
     i_qam        = var_GetInteger( p_access, "dvb-modulation" );
 
-- 
1.7.0.2.msysgit.0

